with GNATCOM.Dispinterface;

package MSHTML.IHTMLControlRange2_Interface is

   type IHTMLControlRange2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLControlRange2_Type);

   function Pointer (This : IHTMLControlRange2_Type)
     return Pointer_To_IHTMLControlRange2;

   procedure Attach (This    : in out IHTMLControlRange2_Type;
                     Pointer : in     Pointer_To_IHTMLControlRange2);

   procedure addElement
     (This : IHTMLControlRange2_Type;
      item : Pointer_To_IHTMLElement);

end MSHTML.IHTMLControlRange2_Interface;

